{% extends 'base.twig' %}

{% block main %}
<!-- Héritage de template ? Block(s) ? -->
<div class="grid">
    <article>
        <h2>Discover the {{ dino.name }}</h2>

        <div class="description">
            {{ dino.description }}
        </div>

        <div class="card">
            <img src="{{ dino.avatar }}" alt="{{ dino.name }}" />
            <dl>
                <dt>Name</dt>
                <dd>{{ dino.name }}</dd>
                <dt>Name meaning</dt>
                <dd>{{ dino.name_meaning }}</dd>
                <dt>Diet</dt>
                <dd>{{ dino.diet }}</dd>
                <dt>Height</dt>
                <dd>{{ dino.height }} m.</dd>
                <dt>Length</dt>
                <dd>{{ dino.length }} m.</dd>
                <dt>Weight</dt>
                <dd>{{ dino.weight }} kg.</dd>
            </dl>
        </div>
    </article>

    <aside>
        <h3>Top rated dinosaurs</h3>

        {% for topRated in topRateds %}
        <!-- iterate here ? -->
        <a href="{{ topRated.slug }}">
            <figure>
                <img src="{{ topRated.avatar }}" alt="{{ topRated.name }}" />
                <figcaption>Discover the {{ topRated.name }}</figcaption>
            </figure>
        </a>

        {% endfor %}
    </aside>
</div>

{% endblock main %}